> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# get pdf list by invoice id



## OpenAPI

````yaml /billing.openapi.json get /template-engine/api/pdf/object/{id}
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
paths:
  /template-engine/api/pdf/object/{id}:
    get:
      tags:
        - invoice pdf
      summary: get pdf list by invoice id
      parameters:
        - name: id
          in: path
          description: the id of the object, e.g. invoice id
          required: true
          schema:
            type: string
        - name: trace-id
          in: header
          description: ''
          required: false
          example: '{{$string.uuid}}'
          schema:
            type: string
            default: '{{$string.uuid}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
            example: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
              example:
                - createdAt: '2026-08-01T03:36:49Z'
                  updatedAt: '2026-08-01T03:36:49Z'
                  createdBy: 2e89cf3f-2b60-403e-8eae-0d9b2f5a493e
                  updatedBy: 2e89cf3f-2b60-403e-8eae-0d9b2f5a493e
                  entityId: 9f156375-f196-4d97-ae2b-83ee5ea2705b
                  deleted: false
                  id: c194b0e3-83d1-4488-830a-937ce6904832
                  name: INV-000001827
                  objectType: invoice
                  objectId: 5fe2e146-e4f5-4144-b353-2f73c263a624
                  version: 1
                  templateId: 9b863b2a-65be-4a67-a797-305f93adf7ca
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````